Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Issue with Non OSGi eclipse bundles
Issue with Non OSGi eclipse bundles [message #894803] Tue, 10 July 2012 15:03 Go to next message
Murthy Bhat is currently offline Murthy Bhat
Messages: 159
Registered: July 2009
Senior Member
Hello,

We are using the Virgo Server to build an OSGi based web application. Everything works fine as long as we have our bundle implementation which is targeted to run with OSGi framework.

We now have to use some legacy eclipse plugins which were initially targeted to run with eclipse. These are implemented as Eclipse Plugins which do not follow the OSGi specifications. Since many of them use the eclipse framework related plugins and VIRGO server is not able to start the eclipse bundles, we are facing the problem with this integration.

Could anyone please help us out.Thanks in advance for help.

~Murthy

Re: Issue with Non OSGi eclipse bundles [message #895482 is a reply to message #894803] Fri, 13 July 2012 08:48 Go to previous message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
You could use Virgo Bundlor to produce proper OSGi bundles.
Previous Topic:Install Virgo using yum
Next Topic:can bundlor fix up version numbers when generating the manifest?
Goto Forum:
  


Current Time: Wed Sep 03 04:50:59 GMT 2014

Powered by FUDForum. Page generated in 0.02637 seconds